@()(implicit lang:Lang)

<span ng-controller="agentEditController" class="glyphicon glyphicon-pencil glyph-white AgentEditIcon"
        ng-click="editAgent(agent.id)">
    <script type="text/ng-template" id="agentEditContent.html">
        <div class="modal-header">
            <button type="button" class="close" ng-click="cancel()">×</button>
            <h3 class="modal-title">
                <span class="agentNumber">{{agent.number}} </span>
                <span class="agentIdentity">{{agent.firstName}}  {{agent.lastName}} </span>
                <span class="glyphicon glyphicon-phone-alt">{{agent.phoneNb}}</span>
            </h3>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <a href="#" class="btn btn-info" ng-click="logout()"><span class="glyphicon glyphicon-log-out"></span> @Messages("ccmanager.Logout")</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-body">
            <form class="form-inline" name="changeAgentGroup"  novalidate>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="editAgentSelectGroup">@Messages("ccmanager.group")</label>
                            <select class="form-control" id="editAgentSelectGroup" ng-model="agent.groupId" ng-required="true"
                                    ng-options="group.id as group.realName for group in agentGroups | orderBy:'name'">
                            </select>
                        </div>
                    </div>
                </div>
            </form>
            <form name="agentQueueForm">
                <table ng-table="agentQueues" class="table table-striped table-condensed">
                    <tr ng-repeat="queue in $data">
                        <td><span class="glyphicon glyphicon-trash" ng-click="removeQueue(queue)"></span></td>
                        <td data-title="'@Messages("ccmanager.queueNumber")'" sortable="'number'"> <span class="badge">{{queue.number}}</span></td>
                        <td data-title="'@Messages("ccmanager.queueDisplayName")'" sortable="'displayName'"> {{queue.displayName}}</td>
                        <td data-title="'@Messages("ccmanager.queuePenalty")'" sortable="'penalty'">
                            <div><input class="form-control" type="number" ng-model="queue.penalty" ng-required="true" min="0" max="20" ng-change="validatePenalty(queue)"/></div>
                        </td>
                    </tr>
                </table>
            </form>
            <form class="form-inline" name="addQueueToAgent"  ng-required="true" ng-submit="addQueueToAgent.$valid && addQueue()" novalidate>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="editAgentSelectQueue"> @Messages("ccmanager.queue") </label>
                            <select class="form-control" id="editAgentSelectQueue" ng-model="newQueue.queue" ng-required="true"
                                    ng-options="queue.displayName for queue in availableQueues | orderBy:'displayName'">
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="editAgentSelectQueuePenaly"> @Messages("ccmanager.queuePenalty") </label>
                            <input class="form-control" id="editAgentSelectQueuePenaly" ng-model="newQueue.penalty" type="number"  ng-required="true" min="0" max="20">
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-sucess" ng-disabled="addQueueToAgent.$invalid"><span class="glyphicon glyphicon-plus"></span></button>
                        </div>
                    </div>
                </div>
            </form>


        </div>
        <div class="modal-footer">
            <button class="btn btn-sucess" ng-click="ok()">@Messages("ccmanager.save")</button>
            <button class="btn btn-warning" ng-click="cancel()">@Messages("ccmanager.cancel")</button>
        </div>
    </script>
</span>
